Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/notetakers/configs

Return all Notetaker Configurations

Returns a paginated list of configurations for the application. The list includes application and workspace configurations, and custom_key configurations, which hold settings that were sent inline when a Notetaker was created. Calendar and recurring-series configurations are excluded. Requests authenticated with an application API key don't return grant configurations.

Works with an API key or an IAM API key with the notetakers.read permission.

Parameters

Query parameters

limitinteger

The maximum number of configurations to return.

Default: 50
offsetinteger

The number of items to skip before starting to return results. Use with limit to page through results.

Default: 0

Responses

request_idstring

The request ID.

dataarray<object>

The configurations. When there are no configurations to return, the response doesn't include data.

GEThttps://api.us.nylas.com/v3/notetakers/configs?limit=50&offset=0

Find your API key in the Nylas Dashboard under API Keys in your application settings.

limitinteger

The maximum number of configurations to return.

offsetinteger

The number of items to skip before starting to return results. Use with limit to page through results.